diff --git a/cg-Xlib b/cg-Xlib
index 0ed275f..d6d0cc1 100755
--- a/cg-Xlib
+++ b/cg-Xlib
@@ -210,7 +210,9 @@ showdate()
 	# bash doesn't like leading zeros
 	[ "${tzhours:1:1}" = 0 ] && tzhours=${2:0:1}${2:2:1}
 	secs=$(($secs + $tzhours * 3600 + $tzmins * 60))
-	[ "$format" ] || format="+%a, %d %b %Y %H:%M:%S $2"
+	[ "$format" ] || \
+		format="+$(locale date_fmt)" || \
+		format="+%a, %d %b %Y %H:%M:%S $2"
 	if [ "$has_gnudate" ]; then
 		LANG=C $has_gnudate -ud "1970-01-01 UTC + $secs sec" "$format"
 	else
